//*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* MxPipDemo.h *#*#*#*#*#*#*#*#* (C) 2014-2015 DekTec
//

#ifndef  __MXPIPDEMO_H
#define  __MXPIPDEMO_H

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Inlucde files -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
#include "DTAPI.h"
#include "MxExamplesCommon.h"

// All code resides in MxExamples namespace
namespace MxExamples
{

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- class MxPipDemo -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//
class MxPipDemo : public MxDemoMatrixBase
{
    // Operations
public:
    virtual bool  Init(DtDevice&  TheCard);
protected:
    bool  PrepCard(DtDevice&  TheCard);
    static void  OnNewFrame(DtMxData* pData, void* pOpaque);
    void  OnNewFrame(DtMxData* pData);

    // Data / Attributes
public:
protected:
    DtVidStdInfo  m_VidInfo;    // Details for detected video standard

    // Constructor / Destructor
public:
    MxPipDemo();
    virtual ~MxPipDemo();
};

} // namespace MxExamples

#endif // #ifndef  __MXPIPDEMO_H
